#3140 closed defect (fixed)

CPU Kit broken with --enable-rtems-debug

Reported by: Chris Johns Owned by: joel.sherrill@…
Priority: highest Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Chris Johns)

Building with:

..../rtems.git/configure --target=arm-rtems4.12 --prefix=/opt/work/chris/rtems/kernel/4.12 --disable-networking --enable-rtemsbsp=beagleboneblack --enable-maintainer-mode --enable-rtems-debug

results in an error:

gmake[5]: Entering directory '/opt/work/chris/rtems/kernel/bsps/beagleboneblack/arm-rtems4.12/c/beagleboneblack/cpukit/score'
arm-rtems4.12-gcc --pipe -DHAVE_CONFIG_H   -I.. -I../../cpukit/../../../beagleboneblack/lib/include   -mcpu=cortex-a8 -O2 -g -ffunction-sections -fdata-sections -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -MT src/libscore_a-semaphore.o -MD -MP -MF src/.deps/libscore_a-semaphore.Tpo -c -o src/libscore_a-semaphore.o `test -f 'src/semaphore.c' || echo '/opt/work/chris/rtems/kernel/rtems.git/c/src/../../cpukit/score/'`src/semaphore.c
In file included from /opt/work/chris/rtems/kernel/rtems.git/c/src/../../cpukit/score/src/semaphore.c:21:0:
/opt/work/chris/rtems/kernel/rtems.git/c/src/../../cpukit/score/src/semaphore.c: In function '_Semaphore_Post':
/opt/work/chris/rtems/kernel/rtems.git/c/src/../../cpukit/score/src/semaphore.c:134:27: error: 'UINT_MAX' undeclared (first use in this function); did you mean 'UINT8_MAX'?
     _Assert( sem->count < UINT_MAX );
                           ^
../../cpukit/../../../beagleboneblack/lib/include/rtems/score/assert.h:67:12: note: in definition of macro '_Assert'
        ( ( _e ) ? \
            ^~
/opt/work/chris/rtems/kernel/rtems.git/c/src/../../cpukit/score/src/semaphore.c:134:27: note: each undeclared identifier is reported only once for each function it appears in
     _Assert( sem->count < UINT_MAX );
                           ^
../../cpukit/../../../beagleboneblack/lib/include/rtems/score/assert.h:67:12: note: in definition of macro '_Assert'
        ( ( _e ) ? \
            ^~
gmake[5]: *** [Makefile:4571: src/libscore_a-semaphore.o] Error 1

We need the rtems-bsp-builder to be run on a regular basis to catch these errors.

Tools are:

$ /opt/work/rtems/4.12/bin/arm-rtems4.12-gcc --version
arm-rtems4.12-gcc (GCC) 7.2.0 20170814 (RTEMS 4.12, RSB e6d0a8bae6d16eba605370ca11a5928b797820bb-modified, Newlib 2.5.0.20170818)

Change History (3)

comment:1 Changed on Sep 18, 2017 at 10:55:24 PM by Chris Johns

Description: modified (diff)

comment:2 Changed on Sep 19, 2017 at 8:57:49 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 9a50e32/rtems:

score: Include missing <limits.h>

Update #2132.
Close #3140.

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.